package info.aspirecn.iov.sjjh.supplier10000027.vo;

import lombok.Data;
import lombok.ToString;

/**
 * @description: 验签请求实体
 * @author: xusonglin
 * @create: 2019/9/3 10:30
 * @version: V1.0
 **/
@Data
@ToString(callSuper = true)
public class ApplyRequestObject {
    private BizPackageBean bizPackage;
    private String sign;

    @Data
    @ToString(callSuper = true)
    public static class BizPackageBean {
        /**
         * customerNumber :
         * appName :
         * timeStamp :
         * cardReaderVersion :
         * liveDetectionControlVersion :
         * authCodeControlVersion :
         * authMode :
         */

        private String customerNumber;
        private String appName;
        private String timeStamp;
        private String cardReaderVersion;
        private String liveDetectionControlVersion;
        private String authCodeControlVersion;
        private String authMode;
    }
}
