package info.aspirecn.iov.sjjh.supplier10000027.vo;

import com.alibaba.fastjson.JSONObject;
import lombok.Data;
import lombok.ToString;

/**
 * @description: 数据返回实体
 * @author: xusonglin
 * @create: 2019/9/4 14:17
 * @version: V1.0
 **/
@Data
@ToString(callSuper = true)
public class DataResponseObject {
    private BizPackageBean bizPackage;
    private String sign;

    @Data
    @ToString
    public static class BizPackageBean {
        private String customNumber;
        private String appName;
        private String timeStamp;
        private String businessSerialNumber;
        private String authResult;
        private JSONObject authResultRetainData;
        private String success;
        private String errorDesc;
    }
}
